input.h File Reference

## Data Structures

struct | MInputMethodInfo
struct | MInputContextInfo

## Macros

#define | MINPUT_KEY_SHIFT_MODIFIER (1 << 0)
#define | MINPUT_KEY_CONTROL_MODIFIER (1 << 1)
#define | MINPUT_KEY_META_MODIFIER (1 << 2)
#define | MINPUT_KEY_ALT_MODIFIER (1 << 3)
#define | MINPUT_KEY_SUPER_MODIFIER (1 << 4)
#define | MINPUT_KEY_HYPER_MODIFIER (1 << 5)
#define | MINPUT_KEY_ALTGR_MODIFIER (1 << 6)

## Typedefs

typedef struct MIMState | MIMState
typedef struct MIMMap | MIMMap
typedef struct MIMInputStack | MIMInputStack

## Functions

MSymbol | minput__char_to_key (int c)

## Macro Definition Documentation

## MINPUT_KEY_SHIFT_MODIFIER

#define MINPUT_KEY_SHIFT_MODIFIER (1 << 0)

## MINPUT_KEY_CONTROL_MODIFIER

#define MINPUT_KEY_CONTROL_MODIFIER (1 << 1)

## MINPUT_KEY_META_MODIFIER

#define MINPUT_KEY_META_MODIFIER (1 << 2)

## MINPUT_KEY_ALT_MODIFIER

#define MINPUT_KEY_ALT_MODIFIER (1 << 3)

## MINPUT_KEY_SUPER_MODIFIER

#define MINPUT_KEY_SUPER_MODIFIER (1 << 4)

## MINPUT_KEY_HYPER_MODIFIER

#define MINPUT_KEY_HYPER_MODIFIER (1 << 5)

## MINPUT_KEY_ALTGR_MODIFIER

#define MINPUT_KEY_ALTGR_MODIFIER (1 << 6)

## Typedef Documentation

## MIMState

typedef struct MIMState MIMState

## MIMMap

typedef struct MIMMap MIMMap

## MIMInputStack

typedef struct MIMInputStack MIMInputStack

## Function Documentation

## minput__char_to_key()

MSymbol minput__char_to_key | ( | int | c | ) |